

$('.article_row .show_details').live "click", ->
	url = $(this).attr("href")+".html"

	$(this).closest(".article_row").addClass('active')
	$('#article_detail').load url, ->
		
		$("#article_detail").show().delay(1).css
		  "-webkit-transition-duration": "0.8s"
		  "-moz-transition-duration": "0.8s"
		  "margin-right": "0px"
		
		
		$("#article_index_slide").show().delay(1).css
		  "-webkit-transition-duration": "0.8s"
		  "-moz-transition-duration": "0.8s"
		  "margin-left": "-110%"
		  "margin-right": "110%"
	false
	
$('#article_detail .hide').live "click", ->
	$("#article_detail #content_types_draggables").hide();
	
	$("#article_index_slide").show().delay(1).css
	  "-webkit-transition-duration": "0.8s"
	  "-moz-transition-duration": "0.8s"
	  "margin-left": "0%"
	  "margin-right": "0%"
	
	
	$("#article_detail").css(
	  "-webkit-transition-duration": "0.8s"
	  "-moz-transition-duration": "0.8s"
	  "margin-right": "-110%").delay(800).queue ->
		$("#article_detail").html("").clearQueue()
		false
	
	
	false
	
